Last Comment Bug 819822 - trivial uses of Android PeerConnection fail even when build patches applied
: trivial uses of Android PeerConnection fail even when build patches applied
Status: RESOLVED FIXED
[WebRTC][blocking-webrtc-][qa-]
:
Product: Core
Classification: Components
Component: WebRTC: Networking (show other bugs)
: Trunk
: ARM Android
: -- normal (vote)
: mozilla20
Assigned To: Dan Mosedale (:dmose)
: Jason Smith [:jsmith]
Mentors:
Depends on:
Blocks: android-webrtc
  Show dependency treegraph
 
Reported: 2012-12-09 17:53 PST by Dan Mosedale (:dmose)
Modified: 2012-12-14 09:02 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
minor packaging tweaks (1.42 KB, patch)
2012-12-09 17:53 PST, Dan Mosedale (:dmose)
ted: review+
Details | Diff | Splinter Review

Description Dan Mosedale (:dmose) 2012-12-09 17:53:08 PST
Created attachment 690249 [details] [diff] [review]
minor packaging tweaks

Even after applying the patches in the dependency tree for the Android build bug:

<https://bugzilla.mozilla.org/showdependencytree.cgi?id=750869&hide_resolved=1>

various JS, manifests, and XPT files were not being packaged.  Attached is a patch that fixes that.
Comment 1 Ted Mielczarek [:ted.mielczarek] 2012-12-10 07:57:43 PST
Comment on attachment 690249 [details] [diff] [review]
minor packaging tweaks

Review of attachment 690249 [details] [diff] [review]:
-----------------------------------------------------------------

Our test manifests make me sad.
Comment 2 Dan Mosedale (:dmose) 2012-12-12 14:20:27 PST
Try server build:

https://tbpl.mozilla.org/?tree=Try&rev=34b60099ee75
Comment 3 Dan Mosedale (:dmose) 2012-12-13 10:18:17 PST
Landed on mozilla-inbound: 

https://hg.mozilla.org/integration/mozilla-inbound/rev/4b218334f0e3

Not sure what to do about the in-testsuite flag, as tests for this will be covered as part of the effort for bug 795383.
Comment 4 Ed Morley [:emorley] 2012-12-14 07:43:33 PST
https://hg.mozilla.org/mozilla-central/rev/4b218334f0e3

Note You need to log in before you can comment on or make changes to this bug.